import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRAccessControlClusterAccessControlTargetStruct extends _NSObject {
    static alloc(): _MTRAccessControlClusterAccessControlTargetStruct;
    static new(): _MTRAccessControlClusterAccessControlTargetStruct;
    init(): _MTRAccessControlClusterAccessControlTargetStruct;
    cluster(): _NSNumber | null;
    setCluster$(value: _NSNumber | null): void;
    endpoint(): _NSNumber | null;
    setEndpoint$(value: _NSNumber | null): void;
    deviceType(): _NSNumber | null;
    setDeviceType$(value: _NSNumber | null): void;
}
export interface _MTRAccessControlClusterAccessControlTargetStruct extends _NSCopying {
}
